2012-05-24  Wolfgang Sourdeau  <wsourdeau@inverse.ca>

	* WEResourceManager.m
	(_urlForResourceNamed:inFramework:language:applicationName:):
	append "lm=" + the unix timestamp of the file last modification
	date to force a reload of the file each time it is modified, no
	matter what expiry date the browsers are using in their cache.

2010-01-29  Wolfgang Sourdeau  <wsourdeau@inverse.ca>

	* WEResourceManager.m
	(_urlForResourceNamed:inFramework:language:applicationName:):
	append the language with stringByAppendingPathComponent: rather
	than ...ByAppendingString. Also, we want to return an autoreleased
	value to avoid leaks.

2008-02-21  Helge Hess  <helge.hess@opengroupware.org>

	* WEMonthOverview.m: fixed bug, last day of appointments got lost ...
	  (OGo bug #779) (v4.7.94)

2007-03-17  Marcus Mueller  <znek@mulle-kybernetik.com>

	* *.m: ported all elements to honour the new
	  -[WOContext isRenderingDisabled] flag. (v4.7.93)

2006-11-08  Helge Hess  <helge.hess@opengroupware.org>

	* WETableView/WETableCell.m: fixed a MacOS compilation warning
	  (v4.5.92)

2006-09-30  Helge Hess  <helge.hess@opengroupware.org>

	* WETableView/WETableCell.m: improved sortkey handling for keypathes
	  (v4.5.91)

2006-08-17  Wolfgang Sourdeau  <WSourdeau@Inverse.CA>

	* WECalendarField.m: do not use "<!--" in <style> tags, those comments
	  are not valid in CSS (v4.5.90)

	* JSStringTable.m: properly HTML escape JavaScript inside <script>
	  sections (v4.5.89)

2006-07-24  Helge Hess  <helge.hess@opengroupware.org>

	* WEWeekOverview.m: use -warnWithFormat:, minor code cleanups (v4.5.88)

2006-07-05  Helge Hess  <helge.hess@opengroupware.org>

	* WEResourceManager.m: added FHS_INSTALL_ROOT to lookup path (v4.5.87)

2006-07-03  Helge Hess  <helge.hess@opengroupware.org>

	* use %p for pointer formats, fixed gcc 4.1 warnings, use -isNotEmpty
	  when appropriate (v4.5.86)

2006-03-12  Helge Hess  <helge.hess@opengroupware.org>

	* WEResourceManager.m: minor code cleanups, log the flat template
	  subpath if it could not be found (v4.5.85)

2005-11-17  Helge Hess  <helge.hess@opengroupware.org>

	* v4.5.84

	* JSStringTable.m: properly include time.h to avoid a warning

	* WETableCalcMatrix.m: properly include string.h to avoid a warning

2005-09-18  Helge Hess  <helge.hess@opengroupware.org>

	* GNUmakefile.preamble: added dependency to NGMail (v4.5.83)

2005-09-09  Helge Hess  <helge.hess@skyrix.com>

	* WETableMatrixLabel.m: avoid an edge condition when the position
	  binding is missing (v4.5.82)

2005-08-27  Helge Hess  <helge.hess@opengroupware.org>

	* WETableView: added common.h file to support PCH (not required for
	  Xcode) (v4.5.81)

2005-08-05  Helge Hess  <helge.hess@opengroupware.org>

	* JSStringTable.m: fixed a non-lF warning (v4.5.80)

2005-08-01  Helge Hess  <helge.hess@skyrix.com>

	* v4.5.79

	* WETreeView.m: major code cleanups

	* WETreeMatrixElement.m: minor performance improvements

2005-07-22  Marcus Mueller  <znek@mulle-kybernetik.com>

	* JSStringTable.m: if 'if-none-match' is not set, do not return a 304
	  (v4.5.78)

2005-07-20  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEExtensions.xcodeproj: added JSStringTable, bumped framework version

2005-07-20  Helge Hess  <helge.hess@opengroupware.org>

	* JSStringTable.m: use -resourceLookupLanguages on context (v4.5.77)

2005-07-19  Helge Hess  <helge.hess@opengroupware.org>

	* v4.5.76

	* WExExtElemBuilder.m: expose JSStringTable as var:js-stringtable

	* added JSStringTable dynamic element to expose localization string
	  tables as JavaScript arrays on the client side
	  
	* WEDateField.m, JSMenu.h: minor code cleanups

	* v4.5.75
	
	* WEStringTableManager.m: reworked table manager

	* WEStringTable.m: added methods for NSDictionary compatibility

	* WEResourceManager.m: updated API to match NGObjWeb
	
2005-07-11  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEExtensions-Info.plist: fixed bundle identifier

2005-07-10  Helge Hess  <helge.hess@opengroupware.org>

	* WEDropContainer.m: keep drop-script JavaScript code as a static
	  (v4.5.74)

2005-05-03  Helge Hess  <helge.hess@opengroupware.org>

	* GNUmakefile.preamble: added strict bundle dependencies for MacOSX
	  (v4.5.73)

2005-04-24  Helge Hess  <helge.hess@opengroupware.org>

	* fixed gcc 4.0 warnings (v4.5.72)

2005-04-12  Helge Hess  <helge.hess@opengroupware.org>

	* v4.5.71
	
	* added generated manpages for all .api files
	
	* WETabView.m, WETableView.m: minor code cleanups

2005-04-08  Helge Hess  <helge.hess@opengroupware.org>

	* WETableView/WETableData.m, WETableCell.m: some code cleanups
	  (v4.5.70)

2005-03-07  Helge Hess  <helge.hess@opengroupware.org>

	* added some support for -generateXMLStyleEmptyElements (v4.5.69)

2005-02-23  Helge Hess  <helge.hess@opengroupware.org>

	* WEResourceManager.m: lookup web resources in
	  Library/AppName/WebServerResources, fixed an incorrect reference to
	  OGo (v4.5.68)

2005-02-17  Helge Hess  <helge.hess@opengroupware.org>

	* v4.5.67
	
	* WEResourceManager.m: removed special handling of components.cfg (only
	  required by OGo for legacy reasons)

	* GNUmakefile: properly export the WEResourceManager.h header file

2005-02-17  Helge Hess  <helge.hess@skyrix.com>

	* added a modified variant of the OGoResourceManager and the required
	  support classes, this allows for integration of SOPE apps with FHS
	  (v4.5.66)

2005-01-04  Marcus Mueller  <znek@mulle-kybernetik.com>

	* common.h, JSClipboard.m: changed to use WOContext's new
	  resourceLookupLanguages now (v4.5.65)

2004-12-14  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEExtensions.xcode: minor changes and updated

2004-11-23  Helge Hess  <helge.hess@opengroupware.org>
	
	* WETabItem.[hm]: added support for href and direct actions (v4.5.64)
	
	* v4.5.63
	
	* removed WEClientCapabilities.h (lives in NGObjWeb for quite some time          now)
	
	* WETabView.m: code cleanups, added a way to disable certain tabs
	  (disabledTabKeys association)
	
2004-11-07  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEExtensions.xcode: bumped the framework version

2004-11-06  Marcus Mueller  <znek@mulle-kybernetik.com>

	* v4.5.62

	* WETreeView.m, WETreeHeader.m, WEEpozEditor.m, WETreeData.m,
	  WEPageLink.m, WETableView/WETableHeader.m: fixes for incorrect
	  rendering of otherTagString attribute.

	* *.api: new formal definitions for WOElements defined in this
	  framework

	* WEExtensions.xcode: added .api files

2004-11-04  Helge Hess  <helge.hess@skyrix.com>

	* use Version file for install directory location

2004-10-21  Helge Hess  <helge.hess@skyrix.com>

	* WETableView/GNUmakefile: added support for config.make (v4.3.61)

2004-10-04  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEExtensions.xcode: updated to current build version

2004-09-28  Helge Hess  <helge.hess@opengroupware.org>

	* common.h(WEUriOfResource): use component resource manager if
	  available (v4.3.60)

	* WETreeData.m: added new 'treeLink' association which can be used to
	  override the componentActionURL used for expand/collapse and therfore
	  allow for session less tree generation (v4.3.59)

2004-09-21  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEExtensions.xcode: Fixed dependencies to resemble the make process
	  more closely. Our aim should be to stick to the make process
	  as closely as possible, so we shouldn't introduce dependencies in
	  non-toplevel projects. Also corrected inclusion of .js resources
	  (these were accidentaly treated as source files before).

2004-08-30  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEExtensions.xcode: new Xcode project

2004-08-29  Helge Hess  <helge.hess@opengroupware.org>

	* added hack to install the project in FHS locations - the library,
	  its headers, the tools and the resources will be installed in
	  FHS_INSTALL_ROOT if specified (eg make FHS_INSTALL_ROOT=/usr/local)
	  (v4.3.58)

2004-08-24  Helge Hess  <helge.hess@skyrix.com>

	* install bundle in Library/WOxElemBuilders-4.3/ (v4.3.57)
	
	* install (elem builder) bundle in Library/WOxElemBuilders/4.3/
	  (v4.3.56)

2004-08-20  Helge Hess  <helge.hess@opengroupware.org>

	* fixed for SOPE 4.3 directory layout (v4.3.55)

	* moved to SOPE 4.3 (v4.3.54)

2004-08-15  Helge Hess  <helge.hess@skyrix.com>

	* WECalendarField.m, WETimeField.m: minor code cleanups (v4.2.53)

2004-08-13  Helge Hess  <helge.hess@skyrix.com>

	* WEWeekColumnView.m: added 'hideWeekend' association to disable
	  display of the Saturday/Sunday columns (v4.2.52)

	* WEWeekOverview.m: added 'hideWeekend' association to disable display
	  of the Saturday/Sunday column, major code cleanups (v4.2.51)

2004-07-19  Helge Hess  <helge.hess@skyrix.com>

	* common.h: fixed a gcc 3.4 warning (4.2.50)

2004-07-08  Helge Hess  <helge.hess@skyrix.com>

	* WEDragContainer.m: minor code cleanups (v4.2.49)

2004-07-02  Helge Hess  <helge.hess@opengroupware.org>

	* WETabView.m: avoid (auto)-creation of session (was used to check for
	  a JavaScript-available marker in the session) (v4.2.48)

2004-06-24  Helge Hess  <helge.hess@opengroupware.org>

	* WETableCalcMatrix.m: fixed a bug in -dealloc which comes up in some
	  edge condition on MacOSX (v4.2.47)

2004-06-24  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEMonthOverview.m: weekOfYear was always incremented by one,
	  regardless of year spillovers. (v4.2.46)

2004-06-23  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEMonthOverview.m: added support for stylesheets (v4.2.45)

2004-06-23  Helge Hess  <helge.hess@opengroupware.org>

	* WEMonthOverview.m: various code cleanups (v4.2.44)

2004-06-23  Marcus Mueller  <znek@mulle-kybernetik.com>

	* WEMonthOverview.m: fixed OGo bug #326 (month printview showed 
	  incorrect week numbers)
	
2004-06-10  Helge Hess  <helge.hess@opengroupware.org>

	* v4.2.43

	* GNUmakefile.preamble: added prebinding, fixed static dependencies for
	  OSX

	* WETableCalcMatrix.m: code cleanups

2004-06-09  Helge Hess  <helge.hess@opengroupware.org>

	* JSMenu.h, JSMenuItem.h: added proper header protection (Note: those
	  elements are not compiled in gstep-make but in Xcode?) (v4.2.42)

	* v4.2.41

	* WETableCalcMatrix.m: minor code cleanups

	* GNUmakefile.preamble: fixed relative search pathes

2004-06-02  Marcus Mueller  <znek@mulle-kybernetik.com>

	* GNUmakefile.preamble: more support for building with
	  GNUSTEP_BUILD_DIR environment variable set (v4.2.40)

2004-05-12  Helge Hess  <helge.hess@skyrix.com>

	* v4.2.39

	* WEWeekOverview.m: fixed broken "</td" close tag (added missing '>')

	* WEMonthOverview.m: fixed broken "</td" close tag (added missing '>'),
	  minor optimizations to -takeValuesFromRequest:

2004-05-11  Helge Hess  <helge.hess@opengroupware.org>

	* WETableCalcMatrix.m: catch inits with 0/0 dimensions (was an assert,
	  now just prints a log) (v4.2.38)

2004-05-05  Marcus Mueller  <znek@mulle-kybernetik.com>  

	* GNUmakefile.preamble: added support for building with
	  GNUSTEP_BUILD_DIR environment variable set for recent
	  gnustep-make package. (v4.2.37)

2004-05-05  Helge Hess  <helge.hess@skyrix.com>

	* WETableView/WETableView.m: minor code cleanups (v4.2.36)

	* v4.2.35

	* WETableView/WETreeData.m: minor cleanups

	* WETableView/WETableCell.m, WETableView/WETableView.m: improved XHTML
	  compatibility, some minor cleanups

2004-04-26  Helge Hess  <helge.hess@skyrix.com>

	* WETableView/WETableView+Grouping.m: fixed OGo bug #732 (release
	  error introduced in one of the last versions) (v4.2.34)

2004-04-19  Helge Hess  <helge.hess@skyrix.com>

	* v4.2.33
	
	* WExExtElemBuilder.m: generate WEPageLink for <var:pagelink> tag
	
	* added WEPageLink element for easier generation of component page 
	  links with parameters

	* WECalendarField.m, JSShiftClick.m: minor code cleanups

2004-04-07  Helge Hess  <helge.hess@opengroupware.org>

	* WEEpozEditor.m: fixed a compile warning on OSX (v4.2.32)

2004-04-06  Helge Hess  <helge.hess@opengroupware.org>

	* WETableView/GNUmakefile (ADDITIONAL_INCLUDE_DIRS): fixed makefile for
	  "inline" compilation (thanks Luca for pointing that out) (v4.2.31)

2004-04-02  Helge Hess  <helge.hess@skyrix.com>

	* moved WETableView to a subproject, moved WETableView classes to
	  separate files (v4.2.30)

	* v4.2.29

	* GNUmakefile: cleaned up makefile, created postamble makefile

	* WEPageView.m: fixed a static variable init bug, improved XHTML
	  compatibility, major code cleanups

	* WETableView.m: major code cleanups, changed behaviour with disabled
	  navigation buttons in tableviews, those are now hidden per default to
	  avoid screen clutter in small tableviews. Disabled buttons can still
	  be activated using the WETableView_showBlindNavigation default in
	  case you consider that better UI

2004-03-31  Helge Hess  <helge.hess@skyrix.com>

	* v4.2.28

	* WExExtElemBuilder.m: create a WERedirect element for <var:redirect/>

	* copied in old WORedirect dynamic element as "WERedirect" in case
	  someone actually uses that. The WORedirect will be a subclass of
	  WOComponent

2004-03-24  Helge Hess  <helge.hess@skyrix.com>
	
	* v4.2.27

	* WExExtElemBuilder.m: create WEQualifierConditional for "if-qualifier"
	  tag
	
	* added new WEQualifierConditional dynamic element
	
	* WESwitch.m: some code cleanups
	
2004-02-10  Helge Hess  <helge.hess@opengroupware.org>

	* WETableMatrix.m, WETableMatrixContent.m: fixed minor compilation
	  warnings on MacOSX (v4.2.26)

2004-01-07  Helge Hess  <helge@groove.local>

	* JSClipboard.m, JSMenu.m, WERichString.m: minor tweaks for MacOSX 
	  compilation (v4.2.25)

2004-01-03  Helge Hess  <helge.hess@opengroupware.org>

	* v4.2.24

	* WETableView.h: subminor cleanup

	* WETabItem.m: minor cleanups

2003-12-12  Helge Hess  <helge.hess@opengroupware.org>

	* WETreeView.m: fixed a memory leak, moved WETreeHeader, WETreeData and
	  WETreeMatrixElement classes to separate files, major cleanups
	  (v4.2.23)

2003-11-30  Helge Hess  <helge.hess@opengroupware.org>

	* GNUmakefile: include makefiles from GNUSTEP_MAKEFILES (as suggested
	  by chunsj@embian.com (v4.2.22)

2003-11-25  Helge Hess  <helge.hess@opengroupware.org>

	* WEWeekOverview.m: added associations for attaching a CSS style class
	  to the view (v4.2.21)

Tue Nov 11 16:27:30 2003  Martin Hoerning  <mh@skyrix.com>

	* WEMonthOverview.m: fixed timeZone bug. timeZone details weren't 
	  forwarded to the date infos in the month-matrix.
	  (solves ogobug 110) (v4.2.20)

2003-10-30  Helge Hess  <helge.hess@skyrix.com>

	* WECollapsibleComponentContent.m: small code cleanups, fixed some
	  XHTML issues (v4.2.19)

2003-10-30  Thomas Schild  <ts@skyrix.com>

	* WECollapsibleComponentContent.m: added client capabilities for
	  mozilla and netscape to generate javascript which adds the
	  hash part in requested url (v4.2.18)

Tue Oct 28 14:51:21 2003  Jan Reichmann  <jr@skyrix.com>

	* WEEpozEditor.m: add license text (v4.2.17) 

2003-10-22  Helge Hess  <helge.hess@skyrix.com>

	* WEEpozEditor.m: Epoz style and charset are configurable now
	  (v4.2.16)

	* added WEEpozEditor, a dynamic element for triggering the Epoz DHTML
	  editor if it is installed in the system. The element behaves almost
	  exactly like WOText.
	  Note: of course you must have installed Epoz! In OGo Epoz is located
	  in ThirdParty/epoz and must be copied to your WebServerResources
	  (v4.2.15)

2003-10-15  Helge Hess  <helge.hess@skyrix.com>

	* v4.2.14
	
	* GNUmakefile.preamble: added explicit library dependencies required
	  for OSX

	* WETableMatrixContent.m: renamed superclass of WETableMatrixContent
	  to keep MacOSX gcc happy
	  
	* common.h: removed dependency on FoundationExt

2003-09-09  Helge Hess  <helge.hess@skyrix.com>

	* checked in the Linux generated .jsm files for easier compilation on
	  platforms which do not support "echo -n" in the default shell
	  (v4.2.13)

2003-09-04  Helge Hess  <helge.hess@skyrix.com>

	* v4.2.12

	* general: improved XHTML compatibility
	
	* general: major cleanups and performance improvements (less 
	  autoreleased objects, better int=>str mapping, ...)

2003-07-28  Helge Hess  <helge.hess@skyrix.com>

	* applied rangeOfString patches provided by Filip Van Raemdonck for 
	  improved compilation with gstep-base (v4.2.11)
	
	* applied GNUstep patches provided by Filip Van Raemdonck for improved
	  compilation with gstep-base (v4.2.10)

2003-06-30  Helge Hess  <helge.hess@skyrix.com>

	* generate lowercase tags, cleanups, fixed some gcc 3.3 warnings
	  (v4.2.9)

	* moved to skyrix-sope-42 (v4.2.8)

Fri May  9 15:03:48 2003  Martin Hoerning  <mh@skyrix.com>

	* v4.1.7
	
	* WEWeekOverview.m, WEWeekColumView.m: added support for 
	  allday-appointments (info items) (bug 1580)

Mon Mar  3 16:29:28 2003  Jan Reichmann  <jan@skyrix.com>

	* WETreeView.m: fixed warnings(v4.1.6)

Fri Feb 28 18:26:23 2003  Jan Reichmann  <jan@skyrix.com>

	* WETreeView.m: replace Assertion with Warning (MAX_TREE_DEPTH)(v4.1.5)

Mon Feb 24 14:47:18 2003  Martin Hoerning  <mh@skyrix.com>

	* WETableMatrix.m(invokeActionForRequest): added WARNING (v4.1.4) 
	                 (bug 1029)

Tue Feb  4 15:48:32 2003  Martin Hoerning  <mh@skyrix.com>

	* v4.1.3
	
	* WETabView.m, WECollapsibleComponentContent.m, WETableCell.m,
	  WETableView.m: fixed tooltips (added 'title' to img and 
	  input type='image' tags) (bug 844)

Tue Dec 17 17:58:51 2002  Martin Hoerning  <mh@skyrix.com>

	* WETableView.m: added WETableView_hideBlindNavigation default, 
	  default value is NO, (bug 791) (v.4.1.2)

2002-12-08  Helge Hess  <helge.hess@skyrix.com>

	* GNUmakefile: fixed linking

2002-12-06  Helge Hess  <helge.hess@skyrix.com>

	* GNUmakefile: fixed SOVERSION (major/minor)

2002-12-02  Helge Hess  <helge.hess@skyrix.com>
	
	* moved to Skyrix41e/WebUI/WEExtensions (v4.1.1)
	
Fri Nov 29 18:09:05 2002  Martin Hoerning  <mh@skyrix.com>

	* WETableView.m: added </td> tag in form mode in footer row (bug 731)

Thu Jul 18 16:27:13 2002  Bjoern Stierand  <bjoern@skyrix.com>

	* WETableData.m: fixed font tags in simple-table-cells (bug 498)

Wed May 15 15:00:06 2002  Martin Hoerning  <mh@skyrix.com>

	* JSClipboard.m: added to exit on -isMacBrowser

Sun May  5 14:42:22 2002  Helge Hess  <helge.hess@skyrix.com>

	* moved to NGObjWeb

Mon Jan  7 18:19:23 2002  Helge Hess  <helge.hess@skyrix.com>

	* WExExtElemBuilder.m: added mappings for tabs

Mon Jan  7 17:01:34 2002  Helge Hess  <helge.hess@skyrix.com>

	* added WEExtensions bundle

Mon Dec 17 16:59:57 2001  Helge Hess  <helge.hess@skyrix.com>

	* moved WEClientCapabilities to NGObjWeb

Wed Dec  5 13:09:54 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEDropContainer.m: now processes extra attributes on it's own ...

Tue Dec  4 12:17:26 2001  Martin Spindler  <spindler@mdlink.de>

	* WEClientCapabilities.m -doesSupportDHTMLDragAndDrop 
	  (only for MS Windows systems)

Thu Nov 22 16:58:32 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m: show navigation in footer

Tue Nov 20 17:24:58 2001  Martin Hoerning  <mh@skyrix.com>

	* WEWeekOverview.m: added headerRows/footerRows

Tue Nov 13 10:06:42 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEClientCapabilities.m: added user-agent string of 
	  MacOSX 10.1.1 DAV filesystem

Thu Nov  8 16:38:19 2001  Martin Spindler  <spindler@mdlink.de>

	* WETabView.m: support of td background onclicks

Wed Oct 24 15:00:04 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEClientCapabilities.m: recognize Dillo web browser

Wed Oct 17 11:02:32 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEMonthOverview.m: fixed bug, currentday set too late

Fri Oct  5 11:05:38 2001  Martin Hoerning  <mh@skyrix.com>

	* WERichString.m: fixed insertBR

Thu Oct  4 17:50:41 2001  Martin Spindler  <spindler@mdlink.de>

	* WERichString.m: added insertBR association

Mon Oct  1 19:53:07 2001  Martin Spindler  <spindler@mdlink.de>

	* WESwitch: fixed -takeValuesFromRequest:...

Wed Sep  5 12:05:47 2001  Sascha Schimke  <sascha@skyrix.com>

	* WEWeekColumView.m, WEWeekOverview.m: fixed appointment filtering

Tue Aug 28 17:35:31 2001  Martin Spindler  <spindler@mdlink.de>

	* WETabView.m: disable javascript

Fri Aug 17 14:13:13 2001  Helge Hess  <helge.hess@skyrix.com>

	* WETabView.m: fixed bug, added color as font-size ...

Tue Aug 14 14:35:26 2001  Martin Spindler  <spindler@mdlink.de>

	* WETabView.m set fontstyle of active label to bold

Mon Aug  6 14:08:23 2001  Martin Spindler  <spindler@mdlink.de>

	* WECalendarField.m: support of name association(used by DirectActions)

Fri Aug  3 12:52:06 2001  Martin Spindler  <spindler@mdlink.de>

	* WECalendarField.m: support of NSCalendarDate association ('date') 

Thu Aug  2 22:27:39 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEClientCapabilities.m: added some new DAV client user-agents

Tue Jul 24 20:55:51 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEClientCapabilities.m: added -isDAVClient, DAVFS recognized as 
	  client

Tue Jul 24 19:37:59 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView.[h|m]: added showGroupTitle instance variable

Wed Jun 20 16:23:45 2001  Martin Spindler  <spindler@mdlink.de>

	* WETabView.m: added font associations

Thu Jun  7 12:23:55 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEDropContainer.m: fixed bug: drop tag was not properly closed !!

Wed Jun  6 14:28:37 2001  Helge Hess  <helge.hess@skyrix.com>

	* WEDropContainer.m: fixed bug: element was generated on any browser

Thu May 31 17:47:29 2001  Helge Hess  <helge.hess@skyrix.com>

	* WETabView.m: used double-quotes for href attributes

Tue May 29 16:21:37 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableData.m: valign is set to 'TOP' by default

Tue May 22 15:39:48 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m,WETableData.m: WETableView_DataMode wasn't set correct
 	                               in takeValuesFromRequest:inContext:

Tue May 15 16:10:07 2001  Martin Spindler  <spindler@mdlink.de>

	* WETabView.m: isJavaScriptEnabled didn't work (fixed)
	
Sun May  6 16:45:44 2001  Martin Spindler  <spindler@mdlink.de>

	* WEWeekOverview.m: dayIndex of sat and sun was wrong (only title)

	* WETableView.m: currentBatch was wrong (takeValuesFromRequest:...)

Tue May  1 19:02:12 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m: format of assert was wrong

Mon Apr 30 20:56:12 2001  Martin Spindler  <spindler@mdlink.de>

	* WEWeekOverview: added 'border', 'width', 'cellpadding' and
 	                  'cellspacing' associations

Mon Apr 23 12:30:13 2001  Helge Hess  <helge.hess@skyrix.com>

	* WETabItem.m: break up huge -appendToResponse:inContext:

Sat Apr 21 21:29:38 2001  Helge Hess  <helge.hess@skyrix.com>

	* WETabView.m: body-active-keys handled by view instead of item

	* WETabView.m: break up huge -appendToResponse:inContext:

Sat Apr 21 19:58:34 2001  Helge Hess  <helge.hess@skyrix.com>

	* split up WETabView.m file

Mon Apr  9 18:08:34 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView: don't throw exception if no table-content is set

Wed Apr  4 15:28:33 2001  Martin Spindler  <spindler@mdlink.de>

	* WEWeekOverview.m: fixed bug in -_calcMatrixInContext:

	* WEWeekOverview.m: fixed bug in -_calcMatrixInContext:

Thu Mar 29 14:55:39 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m added 'cellspacing', 'cellpadding', 'border'

	* WETableData.m use font attributes for 'string'

Wed Mar 28 16:18:24 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableData.m: added 'action' and fixed formatter bug

Thu Mar  1 10:38:33 2001  Joerg Grimm  <joerg@trex2>

	* WECollapsibleComponentContent.m: set anchor only in IE

Wed Feb 28 14:30:45 2001  Helge Hess  <helge.hess@mdlink.de>

	* WEClientCapabilities.m ([JSClientCapabilityDetector -initWithName:associations:template:]):
	  fixed bug (segfault if no user-agent was set in the request)

Tue Feb 27 18:15:25 2001  Joerg Grimm  <joerg@trex2>

	* WEWeekColumnView.m: fixed wrong idx2 in _calcMatrixInContext

Mon Feb 12 20:36:37 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView+Grouping.m: added grouping behaviour

Tue Feb  6 16:17:09 2001  Martin Spindler  <spindler@mdlink.de>

	* WEWeekOverview.m: contentColor wasn't correct

Fri Feb  2 16:17:59 2001  Martin Spindler  <spindler@mdlink.de>

	* WEWeekOverview.m: fixed some problems with takeValuesFromRequest

Wed Jan 31 17:31:31 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m: added resizeButtons for autoScollHeight

Tue Jan 30 10:44:37 2001  Helge Hess  <helge.hess@mdlink.de>

	* WEClientCapabilities.m: added support for Links browser

Fri Jan 26 19:55:25 2001  Helge Hess  <helge.hess@mdlink.de>

	* WETableView.m: changed semantics of autoscroll binding

Thu Jan 25 18:20:45 2001  Martin Spindler  <spindler@mdlink.de>

	* WETreeView.m: added assert (MAX_TREE_DEPTH -> 10)

	* WETableView: added resizeBatchButtons

	* WETreeView.m: bug fixed (no header was rendered if list.count ==0)

Wed Jan 24 18:10:07 2001  Martin Spindler  <spindler@mdlink.de>

	* WEDragContainer.m allow DnD in forms

	* WETableView.m takeValuesFromRequest: fixed bug

	* WERichString.m added template and 'condition' binding

	* WEWeekColumnView.m: fixed filtering of appointments with several days

Tue Jan 23 17:28:28 2001  Martin Spindler  <spindler@mdlink.de>

	* WEDropContainer.m: can attach behaviour to parent element

Thu Jan 18 17:14:21 2001  Martin Spindler  <spindler@mdlink.de>

	* WERichString.m: added

	* WETabView.m: fixed javaScript

	* WECalendarField.m: added

	* WETimeField.m, WEDateField.m: merged into WECalendarField

	* WEWeekOverview.m: default of self->weekStart was wrong

	* WEWeekOverview.m: dito

Wed Jan 17 15:18:02 2001  Martin Spindler  <spindler@mdlink.de>

	* WETabView.m: improved background img tabs

	* clean up: removed some warnings

Tue Jan 16 13:01:27 2001  Martin Spindler  <spindler@mdlink.de>

	* WETreeView.m: -invokeAction...: headers couldn't call actions

Mon Jan 15 18:19:34 2001  Martin Spindler  <spindler@mdlink.de>

	* WETabView: added asBackground mode

Tue Jan  9 19:00:58 2001  Martin Spindler  <spindler@mdlink.de>

	* WECollapsibleComponentContent.m: 
	  submitAction can jump to the fragment Identifier

Mon Jan  8 13:04:18 2001  Helge Hess  <helge.hess@mdlink.de>

	* fixed compilation

Fri Jan  5 16:57:53 2001  Martin Spindler  <spindler@mdlink.de>

	* WEWeekOverview.m: renders own title only if necessary

	* WEContextKey.m fixed retain bug

Thu Jan  4 20:40:25 2001  Martin Spindler  <spindler@mdlink.de>

	* WEContextConditional.m: added 'didMatch' binding

	* WEWeekColumnView.m: renders an own title if necessary

Tue Jan  2 14:52:23 2001  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m
	  (_applyIdentifier):  - replaced 'self->list' by 'self->allObjects'
	  (_appendNavigation): - show navigation buttons only if neccessary

Tue Jan  2 12:13:15 2001  Helge Hess  <helge.hess@mdlink.de>

	* WETableView.m: check whether 'list' is settable before applying a
	  value

Wed Dec 20 19:48:54 2000  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m: added binding 'selection'

Tue Dec 19 21:19:25 2000  Martin Spindler  <spindler@mdlink.de>

	* WECollapsibleComponentContent.m: is collapsible on clientSide now

	* WETreeView.m repaired 'showItem' bug

	* WETreeView.m added binding 'showItem'

	* WETreeView.m currentPath wasn't updated properly

Tue Dec 19 02:16:49 2000  Helge Hess  <helge.hess@mdlink.de>

	* WETableData.m: added cluster & formatting

	* WETableView.m: fixed bug with YesNumber, NoNumber (was completly
	  broken [static's were not initializaed, NoNumber was not retained)

	* WETableView.m: moved WETableData, WETableCell to separate files

	* WETableView.m: added 'string' binding to WETableCell, made tags
	  lowercase (xhtml compatibility)

Fri Dec 15 18:35:46 2000  Martin Spindler  <spindler@mdlink.de>

	* WETreeView.m: reorganized matrix (created _WETreeMatrixElement)
	                render no table if slow table browser

	* WETimeField.m, WEDateField.m: added

	* WETableView.m: browser check -> few tables if required

Tue Dec 12 22:09:11 2000  Martin Spindler  <spindler@mdlink.de>

	* WETreeView.m: added association 'currentPath'

Fri Dec  8 11:56:56 2000  Helge Hess  <helge.hess@mdlink.de>

	* WEClientCapabilities.m: added detection of Konqueror

Thu Dec  7 11:46:14 2000  Helge Hess  <helge.hess@mdlink.de>

	* cleanups, added WEWeekColumnView

Mon Nov 27 19:18:14 2000  Martin Spindler  <spindler@mdlink.de>

	* WESwitch.m: added 'keys' attribute to WECase
	              added WEDefaultCase

	* WESwitch.m: repaired default mode bug

	* WETreeView.m: added 'isItemLeaf' binding

Thu Nov 23 14:00:58 2000  Martin Spindler  <spindler@mdlink.de>

	* WEMonthOverview.m: changed matrix into a list of NSMutableArray's 

	* WEWeekOverview.m: changed matrix into a list of NSMutableArray's

Wed Nov 22 16:39:00 2000  Martin Spindler  <spindler@mdlink.de>

	* WETableMatrix*[h.m]: added

Mon Nov 20 12:22:18 2000  Helge Hess  <helge.hess@mdlink.de>

	* WETableView.m: check 'autoScroll' association

Sat Nov 18 20:03:29 2000  Helge Hess  <helge.hess@mdlink.de>

	* added WEClientCapabilities class

Wed Nov 15 15:37:35 2000  Martin Spindler  <spindler@mdlink.de>

	* WEComponentValue.m: added

Thu Nov  9 18:57:13 2000  Martin Spindler  <spindler@mdlink.de>

	* WETableView: added 'identifier' association

Wed Nov  1 18:46:58 2000  Martin Spindler  <spindler@mdlink.de>

	* WEPageView.m: added

	* WEContextKey.m: added

Mon Oct 30 15:54:02 2000  Martin Spindler  <spindler@mdlink.de>

	* WECollapsibleComponentContent.m: added 'action'
	                                   added 'fragmentIdentifier'

Fri Oct 27 12:49:43 2000  Martin Spindler  <spindler@mdlink.de>

	* WECollapsibleComponentContent.m: added association 'condition'

Fri Oct 20 18:31:59 2000  Martin Spindler  <spindler@mdlink.de>

	* WESwitch.m: added 'default' association in WECase

	* WETableView.m: fixed sorting bug

Wed Oct 18 15:42:53 2000  Martin Spindler  <spindler@mdlink.de>

	* WETabView.m: added

Tue Oct 17 09:54:52 2000  Martin Spindler  <spindler@mdlink.de>

	* WESwitch.m: added

Mon Oct 16 15:18:50 2000  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m: changed association lastItem  into previousItem
	                 changed association lastIndex into previousIndex

	* WETableView.m: only the sorted column can be grouped

Thu Oct 12 17:30:50 2000  Martin Spindler  <spindler@mdlink.de>

	* WETableView.m: fixed isGroup bug

Mon Oct  9 18:45:48 2000  Martin Spindler  <spindler@mdlink.de>

	* WETreeView.m: added association 'string' and 'extraAttributes'

	* WETableView.m: changed visibility of navigation icons

	* WETreeView.m, WEBrowser.m: added

Thu Sep 28 13:24:37 2000  Helge Hess  <helge.hess@mdlink.de>

	* created WEExtensions
